Compare commits

...

15 Commits

Author SHA1 Message Date
Bryan Paxton 10d50f7062 Use overwrite modifier on unzip to avoid prompts (#106) 2022-04-21 12:38:31 -05:00
github-actions[bot] 42313cae10 Update 3rd party licenses (#105)
Co-authored-by: GitHub Actions <actions@user.noreply.github.com>
2022-04-17 10:35:44 -05:00
github-actions[bot] 46b0c79322 Update 3rd party licenses (#104)
Co-authored-by: GitHub Actions <actions@user.noreply.github.com>
2022-04-13 16:11:09 +01:00
Paulo F. Oliveira 5436ca9587 Keep up with the times (#102)
* Keep up with the times

* Act on local static analysis (and other actions) results

npm run ... from package.json
2022-04-12 18:20:59 +01:00
github-actions[bot] 01cb298fa5 Update 3rd party licenses (#103)
Co-authored-by: GitHub Actions <actions@user.noreply.github.com>
2022-04-12 16:19:04 +01:00
Paulo F. Oliveira 2e0500f2a5 Handle strings as such (#100)
* Handle strings as such

* Let automation do its thing
2022-04-07 20:27:52 +01:00
github-actions[bot] 3e684c4e0b Update 3rd party licenses (#101)
Co-authored-by: GitHub Actions <actions@user.noreply.github.com>
2022-04-07 13:07:12 +01:00
github-actions[bot] 380359b6cf Update 3rd party licenses (#97)
Co-authored-by: GitHub Actions <actions@user.noreply.github.com>
2022-04-04 18:45:55 +01:00
dependabot[bot] 73feb48b6c Bump minimist from 1.2.5 to 1.2.6 (#98)
Bumps [minimist](https://github.com/substack/minimist) from 1.2.5 to 1.2.6.
- [Release notes](https://github.com/substack/minimist/releases)
- [Commits](https://github.com/substack/minimist/compare/1.2.5...1.2.6)

---
updated-dependencies:
- dependency-name: minimist
  dependency-type: indirect
...

Signed-off-by: dependabot[bot] <support@github.com>

Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
2022-04-04 18:44:47 +01:00
Paulo F. Oliveira c428d8c359 Attempt use on top of Erlang 25.0-rc1 (#93) 2022-02-22 11:09:02 +00:00
Paulo F. Oliveira 2494d08aa0 Add environment variables (#94)
* Allow for Windows'22 container

(win22 is just a guess, at this moment)

* Add environment variables

* Clean up code
2022-02-22 11:05:11 +00:00
Paulo F. Oliveira b28629c519 Allow for Windows'22 container (#91)
(win22 is just a guess, at this moment)
2022-02-22 11:04:38 +00:00
github-actions[bot] ebd945dd40 Update 3rd party licenses (#95)
Co-authored-by: GitHub Actions <actions@user.noreply.github.com>
2022-02-22 10:57:14 +00:00
Paulo F. Oliveira df03a946e0 Fix 3rd party license updater (#92)
Instead of pushing directly (since the main branch is protected) this creates a pull request
2022-02-22 10:54:04 +00:00
Paulo F. Oliveira 6c5caca0fb Update our dependencies to increase security (#88) 2022-01-13 20:49:02 +00:00
29 changed files with 10239 additions and 3145 deletions
-1
View File
@@ -27,7 +27,6 @@ jobs:
- run: npm run shellcheck
- run: npm run yamllint
- run: npm run jslint
- run: npm run licenses
- name: Check if build left artifacts
run: git diff --exit-code
+32
View File
@@ -21,6 +21,9 @@ jobs:
fail-fast: false
matrix:
combo:
- otp-version: '25.0-rc1'
rebar3-version: 'nightly'
os: 'ubuntu-latest'
- otp-version: '24'
rebar3-version: 'nightly'
os: 'ubuntu-latest'
@@ -149,3 +152,32 @@ jobs:
cd test-projects/gleam_gleam
gleam test
if: ${{ matrix.combo.gleam-version && matrix.combo.otp-version && !matrix.combo.rebar3-version }}
environment_variables:
name: Environment variables
runs-on: ${{matrix.combo.os}}
strategy:
fail-fast: false
matrix:
combo:
- otp-version: '24'
elixir-version: 'v1.12'
gleam-version: '0.19'
rebar3-version: 'nightly'
os: 'ubuntu-latest'
steps:
- uses: actions/checkout@v2
- name: Use erlef/setup-beam
id: setup-beam
uses: ./
with:
otp-version: ${{matrix.combo.otp-version}}
elixir-version: ${{matrix.combo.elixir-version}}
gleam-version: ${{matrix.combo.gleam-version}}
rebar3-version: ${{matrix.combo.rebar3-version}}
- run: env
- name: List environment variables
run: |
echo "${{env.INSTALL_DIR_FOR_ELIXIR}}"
echo "${{env.INSTALL_DIR_FOR_GLEAM}}"
echo "${{env.INSTALL_DIR_FOR_OTP}}"
echo "${{env.INSTALL_DIR_FOR_REBAR3}}"
+19 -4
View File
@@ -4,10 +4,25 @@ set -eux
git config user.name "GitHub Actions"
git config user.email "actions@user.noreply.github.com"
git checkout main
BRANCH=feature/3rd-party-licenses-update
if git branch -a | grep "$BRANCH" > /dev/null; then
# already exists
exit
fi
git fetch origin
git checkout -b "$BRANCH"
npm run licenses
git add 3RD_PARTY_LICENSES
git commit -m "Update 3rd party licenses" || true
git push origin
if ! git diff --exit-code 1> /dev/null ; then
# there's stuff to push
git add 3RD_PARTY_LICENSES
git commit -m "Update 3rd party licenses"
git push origin "$BRANCH"
gh pr create --fill \
--title "Update 3rd party licenses (automation)" \
--body "This is an automated action to update the action's 3rd party licenses"
fi
@@ -17,3 +17,5 @@ jobs:
node-version: '14'
- run:
./.github/workflows/update_3rd_party_licenses.sh
env:
GITHUB_TOKEN: ${{secrets.GITHUB_TOKEN}}
+32
View File
@@ -21,6 +21,9 @@ jobs:
fail-fast: false
matrix:
combo:
- otp-version: '25.0-rc1'
rebar3-version: 'nightly'
os: 'windows-latest'
- otp-version: '24.0.2'
rebar3-version: '3.16'
os: 'windows-2019'
@@ -84,3 +87,32 @@ jobs:
cd test-projects/gleam_rebar3
rebar3 eunit
if: ${{matrix.combo.gleam-version}}
environment_variables:
name: Environment variables
runs-on: ${{matrix.combo.os}}
strategy:
fail-fast: false
matrix:
combo:
- otp-version: '24'
elixir-version: 'v1.12'
gleam-version: '0.19'
rebar3-version: 'nightly'
os: 'windows-latest'
steps:
- uses: actions/checkout@v2
- name: Use erlef/setup-beam
id: setup-beam
uses: ./
with:
otp-version: ${{matrix.combo.otp-version}}
elixir-version: ${{matrix.combo.elixir-version}}
gleam-version: ${{matrix.combo.gleam-version}}
rebar3-version: ${{matrix.combo.rebar3-version}}
- run: env
- name: List environment variables
run: |
echo "${{env.INSTALL_DIR_FOR_ELIXIR}}"
echo "${{env.INSTALL_DIR_FOR_GLEAM}}"
echo "${{env.INSTALL_DIR_FOR_OTP}}"
echo "${{env.INSTALL_DIR_FOR_REBAR3}}"
+6245 -231
View File
File diff suppressed because it is too large Load Diff
+13 -1
View File
@@ -52,6 +52,7 @@ and Erlang/OTP.
| ubuntu-18.04 | 17 - 24 | ✅
| ubuntu-20.04 | 20 - 24 | ✅
| windows-2019 | 21* - 24 | ✅
| windows-2022 | 21* - 24 | ✅
**Note** *: prior to 23, Windows builds are only available for minor versions, e.g. 21.0, 21.3, 22.0, etc.
@@ -65,6 +66,7 @@ uses that to download assets:
| ubuntu18 | ubuntu-18.04
| ubuntu20 | ubuntu-20.04
| win19 | windows-2019
| win22 | windows-2022
as per the following example:
@@ -137,7 +139,7 @@ on: push
jobs:
test:
runs-on: windows-2019
runs-on: windows-2022
steps:
- uses: actions/checkout@v2
- uses: erlef/setup-beam@v1
@@ -185,6 +187,16 @@ jobs:
**Note**: the `otp-version: false` input is only applicable when installing Gleam.
## Environment variables
Base installation folders (useful for e.g. fetching headers for NIFs) are available in the following
environment variables:
- `INSTALL_DIR_FOR_ELIXIR`: base folder for Erlang/OTP
- `INSTALL_DIR_FOR_GLEAM`: base folder for Elixir
- `INSTALL_DIR_FOR_OTP`: base folder for Gleam
- `INSTALL_DIR_FOR_REBAR3`: base folder for `rebar3`
## Elixir Problem Matchers
The Elixir Problem Matchers in this repository are adapted from
+1 -1
View File
@@ -43,5 +43,5 @@ outputs:
rebar3-version:
description: Exact version of rebar3 that was installed
runs:
using: node12
using: node16
main: dist/index.js
+2389 -960
View File
File diff suppressed because it is too large Load Diff
+7 -5
View File
@@ -1,19 +1,21 @@
param([Parameter(Mandatory=$true)][string]$VSN)
param([Parameter(Mandatory=$true)][string]${VSN})
$ErrorActionPreference="Stop"
Set-Location $Env:RUNNER_TEMP
Set-Location ${Env:RUNNER_TEMP}
$FILE_INPUT="${VSN}.zip"
$FILE_OUTPUT="elixir.zip"
$DIR_FOR_BIN=".setup-beam/elixir"
$ProgressPreference="SilentlyContinue"
Invoke-WebRequest "https://repo.hex.pm/builds/elixir/${FILE_INPUT}" -OutFile "$FILE_OUTPUT"
Invoke-WebRequest "https://repo.hex.pm/builds/elixir/${FILE_INPUT}" -OutFile "${FILE_OUTPUT}"
$ProgressPreference="Continue"
New-Item "$DIR_FOR_BIN" -ItemType Directory | Out-Null
New-Item "${DIR_FOR_BIN}" -ItemType Directory | Out-Null
$ProgressPreference="SilentlyContinue"
Expand-Archive -DestinationPath "${DIR_FOR_BIN}" -Path "${FILE_OUTPUT}"
$ProgressPreference="Continue"
Write-Output "Installed Elixir version follows"
& "$DIR_FOR_BIN/bin/elixir" "-v" | Write-Output
& "${DIR_FOR_BIN}/bin/elixir" "-v" | Write-Output
"INSTALL_DIR_FOR_ELIXIR=${Env:RUNNER_TEMP}/${DIR_FOR_BIN}" | Out-File -FilePath ${Env:GITHUB_ENV} -Encoding utf8 -Append
+4 -2
View File
@@ -2,7 +2,7 @@
set -eo pipefail
cd "$RUNNER_TEMP"
cd "${RUNNER_TEMP}"
VSN=${1}
FILE_INPUT="${VSN}.zip"
@@ -11,6 +11,8 @@ DIR_FOR_BIN=.setup-beam/elixir
wget -q -O "${FILE_OUTPUT}" "https://repo.hex.pm/builds/elixir/${FILE_INPUT}"
mkdir -p "${DIR_FOR_BIN}"
unzip -q -d "${DIR_FOR_BIN}" "${FILE_OUTPUT}"
unzip -q -o -d "${DIR_FOR_BIN}" "${FILE_OUTPUT}"
echo "Installed Elixir version follows"
${DIR_FOR_BIN}/bin/elixir -v
echo "INSTALL_DIR_FOR_ELIXIR=${RUNNER_TEMP}/${DIR_FOR_BIN}" >> "${GITHUB_ENV}"
+9 -7
View File
@@ -1,19 +1,21 @@
param([Parameter(Mandatory=$true)][string]$VSN)
param([Parameter(Mandatory=$true)][string]${VSN})
$ErrorActionPreference="Stop"
Set-Location $Env:RUNNER_TEMP
Set-Location ${Env:RUNNER_TEMP}
$FILE_INPUT="gleam-${VSN}-windows-64bit.zip"
$FILE_OUTPUT="gleam.zip"
$DIR_FOR_BIN=".setup-beam/gleam/bin"
$DIR_FOR_BIN=".setup-beam/gleam"
$ProgressPreference="SilentlyContinue"
Invoke-WebRequest "https://github.com/gleam-lang/gleam/releases/download/${VSN}/${FILE_INPUT}" -OutFile "$FILE_OUTPUT"
Invoke-WebRequest "https://github.com/gleam-lang/gleam/releases/download/${VSN}/${FILE_INPUT}" -OutFile "${FILE_OUTPUT}"
$ProgressPreference="Continue"
New-Item "$DIR_FOR_BIN" -ItemType Directory | Out-Null
New-Item "${DIR_FOR_BIN}/bin" -ItemType Directory | Out-Null
$ProgressPreference="SilentlyContinue"
Expand-Archive -DestinationPath "${DIR_FOR_BIN}" -Path "${FILE_OUTPUT}"
Expand-Archive -DestinationPath "${DIR_FOR_BIN}/bin" -Path "${FILE_OUTPUT}"
$ProgressPreference="Continue"
Write-Output "Installed Gleam version follows"
& "$DIR_FOR_BIN/gleam" "--version" | Write-Output
& "${DIR_FOR_BIN}/bin/gleam" "--version" | Write-Output
"INSTALL_DIR_FOR_GLEAM=${Env:RUNNER_TEMP}/${DIR_FOR_BIN}" | Out-File -FilePath ${Env:GITHUB_ENV} -Encoding utf8 -Append
+7 -5
View File
@@ -2,16 +2,18 @@
set -eo pipefail
cd "$RUNNER_TEMP"
cd "${RUNNER_TEMP}"
VSN=${1}
FILE_INPUT=gleam-${VSN}-linux-amd64.tar.gz
FILE_OUTPUT=gleam.tar.gz
DIR_FOR_BIN=.setup-beam/gleam/bin
DIR_FOR_BIN=.setup-beam/gleam
wget -q -O "${FILE_OUTPUT}" "https://github.com/gleam-lang/gleam/releases/download/${VSN}/${FILE_INPUT}"
mkdir -p "${DIR_FOR_BIN}"
tar zxf "${FILE_OUTPUT}" -C "${DIR_FOR_BIN}"
mkdir -p "${DIR_FOR_BIN}/bin"
tar zxf "${FILE_OUTPUT}" -C "${DIR_FOR_BIN}/bin"
echo "Installed Gleam version follows"
${DIR_FOR_BIN}/gleam --version
${DIR_FOR_BIN}/bin/gleam --version
echo "INSTALL_DIR_FOR_GLEAM=${RUNNER_TEMP}/${DIR_FOR_BIN}" >> "${GITHUB_ENV}"
+11 -9
View File
@@ -1,20 +1,22 @@
param([Parameter(Mandatory=$true)][string]$VSN)
param([Parameter(Mandatory=$true)][string]${VSN})
$ErrorActionPreference="Stop"
Set-Location $Env:RUNNER_TEMP
Set-Location ${Env:RUNNER_TEMP}
$FILE_OUTPUT="otp.exe"
$DIR_FOR_BIN=".setup-beam/otp"
$ProgressPreference="SilentlyContinue"
Invoke-WebRequest "https://github.com/erlang/otp/releases/download/OTP-$VSN/otp_win64_$VSN.exe" -OutFile "$FILE_OUTPUT"
Invoke-WebRequest "https://github.com/erlang/otp/releases/download/OTP-${VSN}/otp_win64_${VSN}.exe" -OutFile "${FILE_OUTPUT}"
$ProgressPreference="Continue"
New-Item "$DIR_FOR_BIN" -ItemType Directory | Out-Null
Move-Item "$FILE_OUTPUT" "$DIR_FOR_BIN"
Start-Process "./$DIR_FOR_BIN/$FILE_OUTPUT" /S -Wait
New-Item "${DIR_FOR_BIN}" -ItemType Directory | Out-Null
Move-Item "${FILE_OUTPUT}" "${DIR_FOR_BIN}"
Start-Process "./${DIR_FOR_BIN}/${FILE_OUTPUT}" /S -Wait
$ErlExec = Get-ChildItem -Path "C:/Program Files/" -Recurse -Depth 2 -Filter 'erl.exe' -Name | ForEach-Object { Write-Output "C:/Program Files/$_" }
$ErlPath = Split-Path -Path "$ErlExec"
Write-Output "$ErlPath" | Out-File -FilePath otp_path.txt -Encoding utf8 -NoNewline
$ErlPath = Split-Path -Path "${ErlExec}"
Write-Output "${ErlPath}" | Out-File -FilePath otp_path.txt -Encoding utf8 -NoNewline
Write-Output "Installed Erlang/OTP version follows"
& "$ErlPath/erl.exe" "+V" | Write-Output
& "${ErlPath}/erl.exe" "+V" | Write-Output
"INSTALL_DIR_FOR_OTP="+(Get-Item ${ErlPath}).parent.FullName | Out-File -FilePath ${Env:GITHUB_ENV} -Encoding utf8 -Append
+3 -1
View File
@@ -2,7 +2,7 @@
set -eo pipefail
cd "$RUNNER_TEMP"
cd "${RUNNER_TEMP}"
OS=${1}
VSN=${2}
@@ -16,3 +16,5 @@ tar zxf "${FILE_OUTPUT}" -C "${DIR_FOR_BIN}" --strip-components=1
"${DIR_FOR_BIN}/Install" -minimal "$(pwd)/${DIR_FOR_BIN}"
echo "Installed Erlang/OTP version follows"
${DIR_FOR_BIN}/bin/erl -version
echo "INSTALL_DIR_FOR_OTP=${RUNNER_TEMP}/${DIR_FOR_BIN}" >> "${GITHUB_ENV}"
+13 -11
View File
@@ -1,8 +1,8 @@
param([Parameter(Mandatory=$true)][string]$VSN)
param([Parameter(Mandatory=$true)][string]${VSN})
$ErrorActionPreference="Stop"
Set-Location $Env:RUNNER_TEMP
Set-Location ${Env:RUNNER_TEMP}
$FILE_INPUT="rebar3"
$FILE_OUTPUT="rebar3"
@@ -12,17 +12,19 @@ $DIR_FOR_BIN=".setup-beam/rebar3"
$ProgressPreference="SilentlyContinue"
$REBAR3_TARGET="https://github.com/erlang/rebar3/releases/download/${VSN}/${FILE_INPUT}"
$REBAR3_NIGHTLY=""
If ( $VSN -eq "nightly" )
If ( ${VSN} -eq "nightly" )
{
$REBAR3_TARGET="https://s3.amazonaws.com/rebar3-nightly/rebar3"
$REBAR3_NIGHTLY=" (from nightly build)"
}
Invoke-WebRequest "$REBAR3_TARGET" -OutFile "$FILE_OUTPUT"
Invoke-WebRequest "${REBAR3_TARGET}" -OutFile "${FILE_OUTPUT}"
$ProgressPreference="Continue"
New-Item "$DIR_FOR_BIN/bin" -ItemType Directory | Out-Null
Move-Item "$FILE_OUTPUT" "$DIR_FOR_BIN/bin"
Write-Output "& escript.exe $PWD/$DIR_FOR_BIN/bin/$FILE_OUTPUT `$args" | Out-File -FilePath "$FILE_OUTPUT_PS1" -Encoding utf8 -Append
type $FILE_OUTPUT_PS1
Move-Item "$FILE_OUTPUT_PS1" "$DIR_FOR_BIN/bin"
Write-Output "Installed rebar3 version$REBAR3_NIGHTLY follows"
& "$DIR_FOR_BIN/bin/rebar3" "version" | Write-Output
New-Item "${DIR_FOR_BIN}/bin" -ItemType Directory | Out-Null
Move-Item "${FILE_OUTPUT}" "${DIR_FOR_BIN}/bin"
Write-Output "& escript.exe ${PWD}/${DIR_FOR_BIN}/bin/${FILE_OUTPUT} `${args}" | Out-File -FilePath "${FILE_OUTPUT_PS1}" -Encoding utf8 -Append
type ${FILE_OUTPUT_PS1}
Move-Item "${FILE_OUTPUT_PS1}" "${DIR_FOR_BIN}/bin"
Write-Output "Installed rebar3 version${REBAR3_NIGHTLY} follows"
& "${DIR_FOR_BIN}/bin/rebar3" "version" | Write-Output
"INSTALL_DIR_FOR_REBAR3=${Env:RUNNER_TEMP}/${DIR_FOR_BIN}" | Out-File -FilePath ${Env:GITHUB_ENV} -Encoding utf8 -Append
+4 -2
View File
@@ -2,7 +2,7 @@
set -eo pipefail
cd "$RUNNER_TEMP"
cd "${RUNNER_TEMP}"
VSN=${1}
FILE_INPUT=rebar3
@@ -19,5 +19,7 @@ wget -q -O "${FILE_OUTPUT}" "${REBAR3_TARGET}"
mkdir -p "${DIR_FOR_BIN}/bin"
chmod +x "${FILE_OUTPUT}"
mv "${FILE_OUTPUT}" "${DIR_FOR_BIN}/bin"
echo "Installed rebar3 version$REBAR3_NIGHTLY follows"
echo "Installed rebar3 version${REBAR3_NIGHTLY} follows"
${DIR_FOR_BIN}/bin/rebar3 version
echo "INSTALL_DIR_FOR_REBAR3=${RUNNER_TEMP}/${DIR_FOR_BIN}" >> "${GITHUB_ENV}"
+55 -15
View File
@@ -12,6 +12,40 @@ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLI
@actions/exec
MIT
The MIT License (MIT)
Copyright 2019 GitHub
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
@actions/http-client
MIT
Actions Http Client for Node.js
Copyright (c) GitHub, Inc.
All rights reserved.
MIT License
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and
associated documentation files (the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:
The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED *AS IS*, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
@actions/io
MIT
@@ -29,7 +63,7 @@ lru-cache
ISC
The ISC License
Copyright (c) Isaac Z. Schlueter and Contributors
Copyright (c) 2010-2022 Isaac Z. Schlueter and Contributors
Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above
@@ -63,20 +97,26 @@ ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR
IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
yallist
ISC
The ISC License
tunnel
MIT
The MIT License (MIT)
Copyright (c) Isaac Z. Schlueter and Contributors
Copyright (c) 2012 Koichi Kobayashi
Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:
THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR
IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
+1311 -1827
View File
File diff suppressed because it is too large Load Diff
+15 -15
View File
@@ -18,25 +18,25 @@
}
},
"dependencies": {
"@actions/core": "1.2.6",
"@actions/exec": "1.0.4",
"semver": "7.3.4"
"@actions/core": "1.6.0",
"@actions/exec": "1.1.1",
"semver": "7.3.6"
},
"devDependencies": {
"@vercel/ncc": "0.27.0",
"eslint": "7.22.0",
"eslint-config-airbnb": "v18.2.1",
"eslint-plugin-import": "^2.24.2",
"eslint-plugin-jsx-a11y": "^6.4.1",
"eslint-plugin-react": "^7.25.1",
"husky": "5.2.0",
"markdownlint": "0.23.1",
"prettier": "2.2.1",
"shellcheck": "1.0.0",
"@vercel/ncc": "0.33.4",
"eslint": "8.13.0",
"eslint-config-airbnb": "19.0.4",
"eslint-plugin-import": "2.26.0",
"eslint-plugin-jsx-a11y": "6.5.1",
"eslint-plugin-react": "7.29.0",
"husky": "7.0.4",
"markdownlint": "0.25.1",
"prettier": "2.6.2",
"shellcheck": "1.1.0",
"yaml-lint": "1.2.4",
"yarn": "1.22.10"
"yarn": "1.22.18"
},
"engines": {
"node": ">=12"
"node": ">=16"
}
}
+7 -5
View File
@@ -1,19 +1,21 @@
param([Parameter(Mandatory=$true)][string]$VSN)
param([Parameter(Mandatory=$true)][string]${VSN})
$ErrorActionPreference="Stop"
Set-Location $Env:RUNNER_TEMP
Set-Location ${Env:RUNNER_TEMP}
$FILE_INPUT="${VSN}.zip"
$FILE_OUTPUT="elixir.zip"
$DIR_FOR_BIN=".setup-beam/elixir"
$ProgressPreference="SilentlyContinue"
Invoke-WebRequest "https://repo.hex.pm/builds/elixir/${FILE_INPUT}" -OutFile "$FILE_OUTPUT"
Invoke-WebRequest "https://repo.hex.pm/builds/elixir/${FILE_INPUT}" -OutFile "${FILE_OUTPUT}"
$ProgressPreference="Continue"
New-Item "$DIR_FOR_BIN" -ItemType Directory | Out-Null
New-Item "${DIR_FOR_BIN}" -ItemType Directory | Out-Null
$ProgressPreference="SilentlyContinue"
Expand-Archive -DestinationPath "${DIR_FOR_BIN}" -Path "${FILE_OUTPUT}"
$ProgressPreference="Continue"
Write-Output "Installed Elixir version follows"
& "$DIR_FOR_BIN/bin/elixir" "-v" | Write-Output
& "${DIR_FOR_BIN}/bin/elixir" "-v" | Write-Output
"INSTALL_DIR_FOR_ELIXIR=${Env:RUNNER_TEMP}/${DIR_FOR_BIN}" | Out-File -FilePath ${Env:GITHUB_ENV} -Encoding utf8 -Append
+4 -2
View File
@@ -2,7 +2,7 @@
set -eo pipefail
cd "$RUNNER_TEMP"
cd "${RUNNER_TEMP}"
VSN=${1}
FILE_INPUT="${VSN}.zip"
@@ -11,6 +11,8 @@ DIR_FOR_BIN=.setup-beam/elixir
wget -q -O "${FILE_OUTPUT}" "https://repo.hex.pm/builds/elixir/${FILE_INPUT}"
mkdir -p "${DIR_FOR_BIN}"
unzip -q -d "${DIR_FOR_BIN}" "${FILE_OUTPUT}"
unzip -q -o -d "${DIR_FOR_BIN}" "${FILE_OUTPUT}"
echo "Installed Elixir version follows"
${DIR_FOR_BIN}/bin/elixir -v
echo "INSTALL_DIR_FOR_ELIXIR=${RUNNER_TEMP}/${DIR_FOR_BIN}" >> "${GITHUB_ENV}"
+9 -7
View File
@@ -1,19 +1,21 @@
param([Parameter(Mandatory=$true)][string]$VSN)
param([Parameter(Mandatory=$true)][string]${VSN})
$ErrorActionPreference="Stop"
Set-Location $Env:RUNNER_TEMP
Set-Location ${Env:RUNNER_TEMP}
$FILE_INPUT="gleam-${VSN}-windows-64bit.zip"
$FILE_OUTPUT="gleam.zip"
$DIR_FOR_BIN=".setup-beam/gleam/bin"
$DIR_FOR_BIN=".setup-beam/gleam"
$ProgressPreference="SilentlyContinue"
Invoke-WebRequest "https://github.com/gleam-lang/gleam/releases/download/${VSN}/${FILE_INPUT}" -OutFile "$FILE_OUTPUT"
Invoke-WebRequest "https://github.com/gleam-lang/gleam/releases/download/${VSN}/${FILE_INPUT}" -OutFile "${FILE_OUTPUT}"
$ProgressPreference="Continue"
New-Item "$DIR_FOR_BIN" -ItemType Directory | Out-Null
New-Item "${DIR_FOR_BIN}/bin" -ItemType Directory | Out-Null
$ProgressPreference="SilentlyContinue"
Expand-Archive -DestinationPath "${DIR_FOR_BIN}" -Path "${FILE_OUTPUT}"
Expand-Archive -DestinationPath "${DIR_FOR_BIN}/bin" -Path "${FILE_OUTPUT}"
$ProgressPreference="Continue"
Write-Output "Installed Gleam version follows"
& "$DIR_FOR_BIN/gleam" "--version" | Write-Output
& "${DIR_FOR_BIN}/bin/gleam" "--version" | Write-Output
"INSTALL_DIR_FOR_GLEAM=${Env:RUNNER_TEMP}/${DIR_FOR_BIN}" | Out-File -FilePath ${Env:GITHUB_ENV} -Encoding utf8 -Append
+7 -5
View File
@@ -2,16 +2,18 @@
set -eo pipefail
cd "$RUNNER_TEMP"
cd "${RUNNER_TEMP}"
VSN=${1}
FILE_INPUT=gleam-${VSN}-linux-amd64.tar.gz
FILE_OUTPUT=gleam.tar.gz
DIR_FOR_BIN=.setup-beam/gleam/bin
DIR_FOR_BIN=.setup-beam/gleam
wget -q -O "${FILE_OUTPUT}" "https://github.com/gleam-lang/gleam/releases/download/${VSN}/${FILE_INPUT}"
mkdir -p "${DIR_FOR_BIN}"
tar zxf "${FILE_OUTPUT}" -C "${DIR_FOR_BIN}"
mkdir -p "${DIR_FOR_BIN}/bin"
tar zxf "${FILE_OUTPUT}" -C "${DIR_FOR_BIN}/bin"
echo "Installed Gleam version follows"
${DIR_FOR_BIN}/gleam --version
${DIR_FOR_BIN}/bin/gleam --version
echo "INSTALL_DIR_FOR_GLEAM=${RUNNER_TEMP}/${DIR_FOR_BIN}" >> "${GITHUB_ENV}"
+11 -9
View File
@@ -1,20 +1,22 @@
param([Parameter(Mandatory=$true)][string]$VSN)
param([Parameter(Mandatory=$true)][string]${VSN})
$ErrorActionPreference="Stop"
Set-Location $Env:RUNNER_TEMP
Set-Location ${Env:RUNNER_TEMP}
$FILE_OUTPUT="otp.exe"
$DIR_FOR_BIN=".setup-beam/otp"
$ProgressPreference="SilentlyContinue"
Invoke-WebRequest "https://github.com/erlang/otp/releases/download/OTP-$VSN/otp_win64_$VSN.exe" -OutFile "$FILE_OUTPUT"
Invoke-WebRequest "https://github.com/erlang/otp/releases/download/OTP-${VSN}/otp_win64_${VSN}.exe" -OutFile "${FILE_OUTPUT}"
$ProgressPreference="Continue"
New-Item "$DIR_FOR_BIN" -ItemType Directory | Out-Null
Move-Item "$FILE_OUTPUT" "$DIR_FOR_BIN"
Start-Process "./$DIR_FOR_BIN/$FILE_OUTPUT" /S -Wait
New-Item "${DIR_FOR_BIN}" -ItemType Directory | Out-Null
Move-Item "${FILE_OUTPUT}" "${DIR_FOR_BIN}"
Start-Process "./${DIR_FOR_BIN}/${FILE_OUTPUT}" /S -Wait
$ErlExec = Get-ChildItem -Path "C:/Program Files/" -Recurse -Depth 2 -Filter 'erl.exe' -Name | ForEach-Object { Write-Output "C:/Program Files/$_" }
$ErlPath = Split-Path -Path "$ErlExec"
Write-Output "$ErlPath" | Out-File -FilePath otp_path.txt -Encoding utf8 -NoNewline
$ErlPath = Split-Path -Path "${ErlExec}"
Write-Output "${ErlPath}" | Out-File -FilePath otp_path.txt -Encoding utf8 -NoNewline
Write-Output "Installed Erlang/OTP version follows"
& "$ErlPath/erl.exe" "+V" | Write-Output
& "${ErlPath}/erl.exe" "+V" | Write-Output
"INSTALL_DIR_FOR_OTP="+(Get-Item ${ErlPath}).parent.FullName | Out-File -FilePath ${Env:GITHUB_ENV} -Encoding utf8 -Append
+3 -1
View File
@@ -2,7 +2,7 @@
set -eo pipefail
cd "$RUNNER_TEMP"
cd "${RUNNER_TEMP}"
OS=${1}
VSN=${2}
@@ -16,3 +16,5 @@ tar zxf "${FILE_OUTPUT}" -C "${DIR_FOR_BIN}" --strip-components=1
"${DIR_FOR_BIN}/Install" -minimal "$(pwd)/${DIR_FOR_BIN}"
echo "Installed Erlang/OTP version follows"
${DIR_FOR_BIN}/bin/erl -version
echo "INSTALL_DIR_FOR_OTP=${RUNNER_TEMP}/${DIR_FOR_BIN}" >> "${GITHUB_ENV}"
+13 -11
View File
@@ -1,8 +1,8 @@
param([Parameter(Mandatory=$true)][string]$VSN)
param([Parameter(Mandatory=$true)][string]${VSN})
$ErrorActionPreference="Stop"
Set-Location $Env:RUNNER_TEMP
Set-Location ${Env:RUNNER_TEMP}
$FILE_INPUT="rebar3"
$FILE_OUTPUT="rebar3"
@@ -12,17 +12,19 @@ $DIR_FOR_BIN=".setup-beam/rebar3"
$ProgressPreference="SilentlyContinue"
$REBAR3_TARGET="https://github.com/erlang/rebar3/releases/download/${VSN}/${FILE_INPUT}"
$REBAR3_NIGHTLY=""
If ( $VSN -eq "nightly" )
If ( ${VSN} -eq "nightly" )
{
$REBAR3_TARGET="https://s3.amazonaws.com/rebar3-nightly/rebar3"
$REBAR3_NIGHTLY=" (from nightly build)"
}
Invoke-WebRequest "$REBAR3_TARGET" -OutFile "$FILE_OUTPUT"
Invoke-WebRequest "${REBAR3_TARGET}" -OutFile "${FILE_OUTPUT}"
$ProgressPreference="Continue"
New-Item "$DIR_FOR_BIN/bin" -ItemType Directory | Out-Null
Move-Item "$FILE_OUTPUT" "$DIR_FOR_BIN/bin"
Write-Output "& escript.exe $PWD/$DIR_FOR_BIN/bin/$FILE_OUTPUT `$args" | Out-File -FilePath "$FILE_OUTPUT_PS1" -Encoding utf8 -Append
type $FILE_OUTPUT_PS1
Move-Item "$FILE_OUTPUT_PS1" "$DIR_FOR_BIN/bin"
Write-Output "Installed rebar3 version$REBAR3_NIGHTLY follows"
& "$DIR_FOR_BIN/bin/rebar3" "version" | Write-Output
New-Item "${DIR_FOR_BIN}/bin" -ItemType Directory | Out-Null
Move-Item "${FILE_OUTPUT}" "${DIR_FOR_BIN}/bin"
Write-Output "& escript.exe ${PWD}/${DIR_FOR_BIN}/bin/${FILE_OUTPUT} `${args}" | Out-File -FilePath "${FILE_OUTPUT_PS1}" -Encoding utf8 -Append
type ${FILE_OUTPUT_PS1}
Move-Item "${FILE_OUTPUT_PS1}" "${DIR_FOR_BIN}/bin"
Write-Output "Installed rebar3 version${REBAR3_NIGHTLY} follows"
& "${DIR_FOR_BIN}/bin/rebar3" "version" | Write-Output
"INSTALL_DIR_FOR_REBAR3=${Env:RUNNER_TEMP}/${DIR_FOR_BIN}" | Out-File -FilePath ${Env:GITHUB_ENV} -Encoding utf8 -Append
+4 -2
View File
@@ -2,7 +2,7 @@
set -eo pipefail
cd "$RUNNER_TEMP"
cd "${RUNNER_TEMP}"
VSN=${1}
FILE_INPUT=rebar3
@@ -19,5 +19,7 @@ wget -q -O "${FILE_OUTPUT}" "${REBAR3_TARGET}"
mkdir -p "${DIR_FOR_BIN}/bin"
chmod +x "${FILE_OUTPUT}"
mv "${FILE_OUTPUT}" "${DIR_FOR_BIN}/bin"
echo "Installed rebar3 version$REBAR3_NIGHTLY follows"
echo "Installed rebar3 version${REBAR3_NIGHTLY} follows"
${DIR_FOR_BIN}/bin/rebar3 version
echo "INSTALL_DIR_FOR_REBAR3=${RUNNER_TEMP}/${DIR_FOR_BIN}" >> "${GITHUB_ENV}"
+9 -6
View File
@@ -73,7 +73,7 @@ async function maybeInstallElixir(elixirSpec, otpVersion) {
const disableProblemMatchers = core.getInput('disable_problem_matchers', {
required: false,
})
if (!disableProblemMatchers) {
if (disableProblemMatchers === 'false') {
const matchersPath = path.join(__dirname, '..', '.github')
console.log(
`##[add-matcher]${path.join(matchersPath, 'elixir-matchers.json')}`,
@@ -89,7 +89,7 @@ async function maybeInstallElixir(elixirSpec, otpVersion) {
}
async function mix(shouldMix, what) {
if (shouldMix) {
if (shouldMix === 'true') {
const cmd = 'mix'
const args = [`local.${what}`, '--force']
console.log(`##[group]Running ${cmd} ${args}`)
@@ -405,6 +405,7 @@ function getRunnerOSVersion() {
ubuntu18: 'ubuntu-18.04',
ubuntu20: 'ubuntu-20.04',
win19: 'windows-2019',
win22: 'windows-2022',
}
const containerFromEnvImageOS = ImageOSToContainer[process.env.ImageOS]
@@ -469,10 +470,12 @@ async function get(url0, pageIdxs) {
}
function maybePrependWithV(versionToPrepend, specVersion) {
const digitStart = new RegExp('^\\d+')
return digitStart.test(specVersion)
? `v${versionToPrepend}`
: versionToPrepend
const digitStart = /^\d+/
let v = versionToPrepend
if (digitStart.test(specVersion)) {
v = `v${versionToPrepend}`
}
return v
}
module.exports = {